Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JEditorPaneOperator

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator
            |
            +--org.netbeans.jemmy.operators.ComponentOperator
                  |
                  +--org.netbeans.jemmy.operators.ContainerOperator
                        |
                        +--org.netbeans.jemmy.operators.JComponentOperator
                              |
                              +--org.netbeans.jemmy.operators.JTextComponentOperator
                                    |
                                    +--org.netbeans.jemmy.operators.JEditorPaneOperator

All Implemented Interfaces:
  Outputable, Timeoutable

Direct Known Subclasses:
  JTextPaneOperator

public class JEditorPaneOperator
extends JTextComponentOperator

Class provides basic functions to operate with JEditorPane (selection, typing, deleting)
Timeouts used:
JTextComponentOperator.PushKeyTimeout - time between key pressing and releasing during text typing
JTextComponentOperator.BetweenKeysTimeout - time to sleep between two chars typing
JTextComponentOperator.ChangeCaretPositionTimeout - maximum time to change caret position
JTextComponentOperator.TypeTextTimeout - maximum time to type text
ComponentOperator.WaitComponentTimeout - time to wait component displayed
ComponentOperator.WaitFocusTimeout - time to wait component focus
JScrollBarOperator.OneScrollClickTimeout - time for one scroll click
JScrollBarOperator.WholeScrollTimeout - time for the whole scrolling
.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  `Timeouts`

Inner Class Summary
`static class` | `JEditorPaneOperator.JEditorPaneFinder` Checks component type.

Inner classes inherited from class org.netbeans.jemmy.operators.JTextComponentOperator
`JTextComponentOperator.JTextComponentByTextFinder, JTextComponentOperator.JTextComponentFinder, JTextComponentOperator.NoSuchTextException, JTextComponentOperator.TextChooser`

Inner classes inherited from class org.netbeans.jemmy.operators.JComponentOperator
`JComponentOperator.JComponentByTipFinder, JComponentOperator.JComponentFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.ContainerOperator
`ContainerOperator.ContainerFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.Operator
`Operator.ComponentVisualizer, Operator.DefaultPathParser, Operator.DefaultStringComparator, Operator.Finder, Operator.MapAction, Operator.MapBooleanAction, Operator.MapByteAction, Operator.MapCharacterAction, Operator.MapDoubleAction, Operator.MapFloatAction, Operator.MapIntegerAction, Operator.MapLongAction, Operator.MapVoidAction, Operator.NoBlockingAction, Operator.PathParser, Operator.StringComparator`

Field Summary
`static java.lang.String` | `CONTENT_TYPE_DPROP` Identifier for a "content type" property.

Fields inherited from class org.netbeans.jemmy.operators.JTextComponentOperator
`IS_EDITABLE_DPROP, modifiersPressed, SELECTED_TEXT_DPROP, TEXT_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.JComponentOperator
`TOOLTIP_TEXT_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.ComponentOperator
`HEIGHT_DPROP, IS_SHOWING_DPROP, IS_VISIBLE_DPROP, WIDTH_DPROP, X_DPROP, Y_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.Operator
`CLASS_DPROP, TO_STRING_DPROP`

Constructor Summary
`JEditorPaneOperator(ContainerOperator cont)` Constructor.
`JEditorPaneOperator(ContainerOperator cont, ComponentChooser chooser)` Constructs a JEditorPaneOperator object.
`JEditorPaneOperator(ContainerOperator cont, ComponentChooser chooser, int index)` Constructs a JEditorPaneOperator object.
`JEditorPaneOperator(ContainerOperator cont, int index)` Constructor.
`JEditorPaneOperator(ContainerOperator cont, java.lang.String text)` Constructor.
`JEditorPaneOperator(ContainerOperator cont, java.lang.String text, int index)` Constructor.
`JEditorPaneOperator(javax.swing.JEditorPane b)` Constructor.

Method Summary
`void` | `addHyperlinkListener(javax.swing.event.HyperlinkListener hyperlinkListener)` Maps `JEditorPane.addHyperlinkListener(HyperlinkListener)` through queue
`static javax.swing.JEditorPane` | `findJEditorPane(java.awt.Container cont, ComponentChooser chooser)` Searches JEditorPane in container.
`static javax.swing.JEditorPane` | `findJEditorPane(java.awt.Container cont, ComponentChooser chooser, int index)` Searches JEditorPane in container.
`static javax.swing.JEditorPane` | `findJEditorPane(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs)` Searches JEditorPane by text.
`static javax.swing.JEditorPane` | `findJEditorPane(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int index)` Searches JEditorPane by text.
`void` | `fireHyperlinkUpdate(javax.swing.event.HyperlinkEvent hyperlinkEvent)` Maps `JEditorPane.fireHyperlinkUpdate(HyperlinkEvent)` through queue
`java.lang.String` | `getContentType()` Maps `JEditorPane.getContentType()` through queue
`java.util.Hashtable` | `getDump()` Returns information about component.
`javax.swing.text.EditorKit` | `getEditorKit()` Maps `JEditorPane.getEditorKit()` through queue
`javax.swing.text.EditorKit` | `getEditorKitForContentType(java.lang.String string)` Maps `JEditorPane.getEditorKitForContentType(String)` through queue
`java.net.URL` | `getPage()` Maps `JEditorPane.getPage()` through queue
`void` | `read(java.io.InputStream inputStream, java.lang.Object object)` Maps `JEditorPane.read(InputStream, Object)` through queue
`void` | `removeHyperlinkListener(javax.swing.event.HyperlinkListener hyperlinkListener)` Maps `JEditorPane.removeHyperlinkListener(HyperlinkListener)` through queue
`void` | `setContentType(java.lang.String string)` Maps `JEditorPane.setContentType(String)` through queue
`void` | `setEditorKit(javax.swing.text.EditorKit editorKit)` Maps `JEditorPane.setEditorKit(EditorKit)` through queue
`void` | `setEditorKitForContentType(java.lang.String string, javax.swing.text.EditorKit editorKit)` Maps `JEditorPane.setEditorKitForContentType(String, EditorKit)` through queue
`void` | `setPage(java.lang.String string)` Maps `JEditorPane.setPage(String)` through queue
`void` | `setPage(java.net.URL uRL)` Maps `JEditorPane.setPage(URL)` through queue
`void` | `usePageNavigationKeys(boolean yesOrNo)` Deprecated. vlue set by this method is not used anymore: all navigating is performed by TextDriver.
`static javax.swing.JEditorPane` | `waitJEditorPane(java.awt.Container cont, ComponentChooser chooser)` Waits JEditorPane in container.
`static javax.swing.JEditorPane` | `waitJEditorPane(java.awt.Container cont, ComponentChooser chooser, int index)` Waits JEditorPane in container.
`static javax.swing.JEditorPane` | `waitJEditorPane(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs)` Waits JEditorPane by text.
`static javax.swing.JEditorPane` | `waitJEditorPane(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int index)` Waits JEditorPane by text.

Methods inherited from class org.netbeans.jemmy.operators.JTextComponentOperator
`addCaretListener, changeCaretPosition, changeCaretPosition, changeCaretPosition, clearText, copy, copyEnvironment, cut, enterText, findJTextComponent, findJTextComponent, findJTextComponent, findJTextComponent, getActions, getCaret, getCaretColor, getCaretPosition, getDisabledTextColor, getDisplayedText, getDocument, getFocusAccelerator, getHighlighter, getKeymap, getMargin, getOutput, getPositionByText, getPositionByText, getPositionByText, getPositionByText, getPreferredScrollableViewportSize, getScrollableBlockIncrement, getScrollableTracksViewportHeight, getScrollableTracksViewportWidth, getScrollableUnitIncrement, getSelectedText, getSelectedTextColor, getSelectionColor, getSelectionEnd, getSelectionStart, getText, getText, getTimeouts, getUI, isEditable, modelToView, moveCaretPosition, paste, read, removeCaretListener, replaceSelection, scrollToPosition, select, selectAll, selectText, selectText, selectText, setCaret, setCaretColor, setCaretPosition, setDisabledTextColor, setDocument, setEditable, setFocusAccelerator, setHighlighter, setKeymap, setMargin, setOutput, setSelectedTextColor, setSelectionColor, setSelectionEnd, setSelectionStart, setText, setTimeouts, setUI, typeText, typeText, viewToModel, waitCaretPosition, waitJTextComponent, waitJTextComponent, waitJTextComponent, waitJTextComponent, waitText, waitText, write`

Methods inherited from class org.netbeans.jemmy.operators.JComponentOperator
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, createToolTip, findJComponent, findJComponent, findJComponent, findJComponent, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getAutoscrolls, getBorder, getCenterXForClick, getCenterYForClick, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getInsets, getNextFocusableComponent, getRegisteredKeyStrokes, getRootPane, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getUIClassID, getVisibleRect, getWindowContainerOperator, grabFocus, isFocusCycleRoot, isManagingFocus, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, requestDefaultFocus, resetKeyboardActions, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, showToolTip, unregisterKeyboardAction, updateUI, waitJComponent, waitJComponent, waitJComponent, waitJComponent, waitToolTip`

Methods inherited from class org.netbeans.jemmy.operators.ContainerOperator
`add, add, add, add, add, addContainerListener, createSubOperator, createSubOperator, findComponentAt, findComponentAt, findContainer, findContainer, findContainer, findContainer, findContainerUnder, findContainerUnder, findSubComponent, findSubComponent, getComponent, getComponentCount, getComponents, getInsets, getLayout, isAncestorOf, paintComponents, printComponents, remove, remove, removeAll, removeContainerListener, setLayout, waitContainer, waitContainer, waitContainer, waitContainer, waitSubComponent, waitSubComponent`

Methods inherited from class org.netbeans.jemmy.operators.ComponentOperator
`activateWindow, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, checkImage, checkImage, clickForPopup, clickForPopup, clickForPopup, clickForPopup, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, contains, contains, createImage, createImage, dispatchEvent, doLayout, dragMouse, dragMouse, dragMouse, dragNDrop, dragNDrop, dragNDrop, enableInputMethods, enterMouse, exitMouse, findComponent, findComponent, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getCenterX, getCenterY, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getContainer, getContainers, getCursor, getDropTarget, getEventDispatcher, getFocus, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPreferredSize, getSize, getSize, getSource, getToolkit, getTreeLock, getWidth, getWindow, getX, getY, hasFocus, imageUpdate, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, list, list, list, list, list, makeComponentVisible, moveMouse, paint, paintAll, prepareImage, prepareImage, pressKey, pressKey, pressMouse, pressMouse, print, printAll, pushKey, pushKey, releaseKey, releaseKey, releaseMouse, releaseMouse, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, transferFocus, typeKey, typeKey, typeKey, update, validate, waitComponent, waitComponent, waitComponent, waitComponent, waitComponentEnabled, waitComponentShowing, waitComponentVisible, waitHasFocus`

Methods inherited from class org.netbeans.jemmy.operators.Operator
`addOperatorPackage, addToDump, addToDump, createOperator, getCharBindingMap, getCharKey, getCharModifiers, getCharsKeys, getCharsKeys, getCharsModifiers, getCharsModifiers, getComparator, getDefaultComponentVisualizer, getDefaultMouseButton, getDefaultPathParser, getDefaultStringComparator, getDefaultVerification, getEnvironmentOperator, getParentPath, getPathParser, getPopupMouseButton, getProperties, getQueueTool, getVerification, getVisualizer, isCaptionEqual, isCaptionEqual, isCaptionEqual, lockQueue, parseString, parseString, printDump, produceNoBlocking, produceNoBlocking, produceTimeRestricted, produceTimeRestricted, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, setCharBindingMap, setComparator, setDefaultComponentVisualizer, setDefaultPathParser, setDefaultStringComparator, setDefaultVerification, setPathParser, setProperties, setVerification, setVisualizer, unlockAndThrow, unlockQueue, waitState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTENT_TYPE_DPROP

    public static final java.lang.String CONTENT_TYPE_DPROP

  Identifier for a "content type" property.
  See Also:
    `getDump()`

Constructor Detail

### JEditorPaneOperator

    public JEditorPaneOperator(javax.swing.JEditorPane b)

  Constructor.
  Parameters:
    `b` - a component

### JEditorPaneOperator

    public JEditorPaneOperator(ContainerOperator cont,
                               ComponentChooser chooser,
                               int index)

  Constructs a JEditorPaneOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.

### JEditorPaneOperator

    public JEditorPaneOperator(ContainerOperator cont,
                               ComponentChooser chooser)

  Constructs a JEditorPaneOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.

### JEditorPaneOperator

    public JEditorPaneOperator(ContainerOperator cont,
                               java.lang.String text,
                               int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Button text.
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JEditorPaneOperator

    public JEditorPaneOperator(ContainerOperator cont,
                               java.lang.String text)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Button text.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JEditorPaneOperator

    public JEditorPaneOperator(ContainerOperator cont,
                               int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -

### JEditorPaneOperator

    public JEditorPaneOperator(ContainerOperator cont)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
  Throws:
    `TimeoutExpiredException` -

Method Detail

### findJEditorPane

    public static javax.swing.JEditorPane findJEditorPane(java.awt.Container cont,
                                                          ComponentChooser chooser,
                                                          int index)

  Searches JEditorPane in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - a component chooser specifying searching criteria.
    `index` - Ordinal component index.
  Returns:
    JEditorPane instance or null if component was not found.

### findJEditorPane

    public static javax.swing.JEditorPane findJEditorPane(java.awt.Container cont,
                                                          ComponentChooser chooser)

  Searches JEditorPane in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - a component chooser specifying searching criteria.
  Returns:
    JEditorPane instance or null if component was not found.

### findJEditorPane

    public static javax.swing.JEditorPane findJEditorPane(java.awt.Container cont,
                                                          java.lang.String text,
                                                          boolean ce,
                                                          boolean ccs,
                                                          int index)

  Searches JEditorPane by text.
  Parameters:
    `cont` - Container to search component in.
    `text` - Component text.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `index` - Ordinal component index.
  Returns:
    JEditorPane instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### findJEditorPane

    public static javax.swing.JEditorPane findJEditorPane(java.awt.Container cont,
                                                          java.lang.String text,
                                                          boolean ce,
                                                          boolean ccs)

  Searches JEditorPane by text.
  Parameters:
    `cont` - Container to search component in.
    `text` - Component text.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
  Returns:
    JEditorPane instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### waitJEditorPane

    public static javax.swing.JEditorPane waitJEditorPane(java.awt.Container cont,
                                                          ComponentChooser chooser,
                                                          int index)

  Waits JEditorPane in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - a component chooser specifying searching criteria.
    `index` - Ordinal component index.
  Returns:
    JEditorPane instance.
  Throws:
    `TimeoutExpiredException` -

### waitJEditorPane

    public static javax.swing.JEditorPane waitJEditorPane(java.awt.Container cont,
                                                          ComponentChooser chooser)

  Waits JEditorPane in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - a component chooser specifying searching criteria.
  Returns:
    JEditorPane instance.
  Throws:
    `TimeoutExpiredException` -

### waitJEditorPane

    public static javax.swing.JEditorPane waitJEditorPane(java.awt.Container cont,
                                                          java.lang.String text,
                                                          boolean ce,
                                                          boolean ccs,
                                                          int index)

  Waits JEditorPane by text.
  Parameters:
    `cont` - Container to search component in.
    `text` - Component text.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `index` - Ordinal component index.
  Returns:
    JEditorPane instance.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### waitJEditorPane

    public static javax.swing.JEditorPane waitJEditorPane(java.awt.Container cont,
                                                          java.lang.String text,
                                                          boolean ce,
                                                          boolean ccs)

  Waits JEditorPane by text.
  Parameters:
    `cont` - Container to search component in.
    `text` - Component text.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
  Returns:
    JEditorPane instance.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### usePageNavigationKeys

    public void usePageNavigationKeys(boolean yesOrNo)

  Deprecated. vlue set by this method is not used anymore: all navigating is performed by TextDriver.

  Notifies whether "PageUp" and "PageDown" should be used to change caret position. If can be useful if text takes some pages.
  Parameters:
    `yesOrNo` - whether to use "PageUp" and "PageDown"

### getDump

    public java.util.Hashtable getDump()

  Returns information about component.
  Overrides:
    `getDump` in class `JTextComponentOperator`
  Following copied from class: `org.netbeans.jemmy.operators.Operator`
  Returns:
    a Hashtable containing name-value pairs.

### addHyperlinkListener

    public void addHyperlinkListener(javax.swing.event.HyperlinkListener hyperlinkListener)

  Maps `JEditorPane.addHyperlinkListener(HyperlinkListener)` through queue

### fireHyperlinkUpdate

    public void fireHyperlinkUpdate(javax.swing.event.HyperlinkEvent hyperlinkEvent)

  Maps `JEditorPane.fireHyperlinkUpdate(HyperlinkEvent)` through queue

### getContentType

    public java.lang.String getContentType()

  Maps `JEditorPane.getContentType()` through queue

### getEditorKit

    public javax.swing.text.EditorKit getEditorKit()

  Maps `JEditorPane.getEditorKit()` through queue

### getEditorKitForContentType

    public javax.swing.text.EditorKit getEditorKitForContentType(java.lang.String string)

  Maps `JEditorPane.getEditorKitForContentType(String)` through queue

### getPage

    public java.net.URL getPage()

  Maps `JEditorPane.getPage()` through queue

### read

    public void read(java.io.InputStream inputStream,
                     java.lang.Object object)

  Maps `JEditorPane.read(InputStream, Object)` through queue

### removeHyperlinkListener

    public void removeHyperlinkListener(javax.swing.event.HyperlinkListener hyperlinkListener)

  Maps `JEditorPane.removeHyperlinkListener(HyperlinkListener)` through queue

### setContentType

    public void setContentType(java.lang.String string)

  Maps `JEditorPane.setContentType(String)` through queue

### setEditorKit

    public void setEditorKit(javax.swing.text.EditorKit editorKit)

  Maps `JEditorPane.setEditorKit(EditorKit)` through queue

### setEditorKitForContentType

    public void setEditorKitForContentType(java.lang.String string,
                                           javax.swing.text.EditorKit editorKit)

  Maps `JEditorPane.setEditorKitForContentType(String, EditorKit)` through queue

### setPage

    public void setPage(java.lang.String string)

  Maps `JEditorPane.setPage(String)` through queue

### setPage

    public void setPage(java.net.URL uRL)

  Maps `JEditorPane.setPage(URL)` through queue

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD